# Changelog

[npm history][1]

[1]: https://www.npmjs.com/package/google-p12-pem?activeTab=versions

### [3.1.4](https://github.com/googleapis/google-p12-pem/compare/v3.1.3...v3.1.4) (2022-04-11)


### Bug Fixes

* **deps:** force fixed version of node-forge ([#403](https://github.com/googleapis/google-p12-pem/issues/403)) ([f375cca](https://github.com/googleapis/google-p12-pem/commit/f375cca4008bad392a0a2e88e8c58b30a28beaaf)), closes [#397](https://github.com/googleapis/google-p12-pem/issues/397)

### [3.1.3](https://github.com/googleapis/google-p12-pem/compare/v3.1.2...v3.1.3) (2022-01-10)


### Bug Fixes

* **deps:** update dependency node-forge to v1 ([#382](https://github.com/googleapis/google-p12-pem/issues/382)) ([078735b](https://github.com/googleapis/google-p12-pem/commit/078735b433d9cdaae463676c4f8c3bb0a7b041b4))

### [3.1.2](https://www.github.com/googleapis/google-p12-pem/compare/v3.1.1...v3.1.2) (2021-08-11)


### Bug Fixes

* **build:** migrate to using main branch ([#362](https://www.github.com/googleapis/google-p12-pem/issues/362)) ([7c412e4](https://www.github.com/googleapis/google-p12-pem/commit/7c412e4a3d616f9eed634c03386579e0674fe6c5))

### [3.1.1](https://www.github.com/googleapis/google-p12-pem/compare/v3.1.0...v3.1.1) (2021-07-21)


### Bug Fixes

* **build:** use updated repository URL ([#355](https://www.github.com/googleapis/google-p12-pem/issues/355)) ([3bcec25](https://www.github.com/googleapis/google-p12-pem/commit/3bcec256a815e76ada58418cac3bbf334621e19d))

## [3.1.0](https://www.github.com/googleapis/google-p12-pem/compare/v3.0.3...v3.1.0) (2021-06-10)


### Features

* add `gcf-owl-bot[bot]` to `ignoreAuthors` ([#318](https://www.github.com/googleapis/google-p12-pem/issues/318)) ([e93e51b](https://www.github.com/googleapis/google-p12-pem/commit/e93e51bbbf333161d836cee1a464be93105ed8ca))

### [3.0.3](https://www.github.com/googleapis/google-p12-pem/compare/v3.0.2...v3.0.3) (2020-09-02)


### Bug Fixes

* **deps:** update dependency node-forge to ^0.10.0 ([#291](https://www.github.com/googleapis/google-p12-pem/issues/291)) ([0694c2e](https://www.github.com/googleapis/google-p12-pem/commit/0694c2ed1f8a0783cdab3b5e7ecb31a0b975bde5))

### [3.0.2](https://www.github.com/googleapis/google-p12-pem/compare/v3.0.1...v3.0.2) (2020-07-09)


### Bug Fixes

* typeo in nodejs .gitattribute ([#270](https://www.github.com/googleapis/google-p12-pem/issues/270)) ([046f594](https://www.github.com/googleapis/google-p12-pem/commit/046f5946bc6809481aa04c7ed604bca3dacc21cc))

### [3.0.1](https://www.github.com/googleapis/google-p12-pem/compare/v3.0.0...v3.0.1) (2020-04-14)


### Bug Fixes

* apache license URL ([#468](https://www.github.com/googleapis/google-p12-pem/issues/468)) ([#252](https://www.github.com/googleapis/google-p12-pem/issues/252)) ([5469838](https://www.github.com/googleapis/google-p12-pem/commit/5469838c5137f69352aa80f40eb6c1415e887e18))

## [3.0.0](https://www.github.com/googleapis/google-p12-pem/compare/v2.0.4...v3.0.0) (2020-03-20)


### ⚠ BREAKING CHANGES

* typescript@3.7.x introduced backwards incompatibilities
* drops Node 8 from engines (#242)

### Features

* drops Node 8 from engines ([#242](https://www.github.com/googleapis/google-p12-pem/issues/242)) ([857cc92](https://www.github.com/googleapis/google-p12-pem/commit/857cc92e711a2ffd5bba18179c8d0395f38cc6ef))


### Build System

* update typescript/gts ([#243](https://www.github.com/googleapis/google-p12-pem/issues/243)) ([f910f07](https://www.github.com/googleapis/google-p12-pem/commit/f910f07374d586241663755ddf66f3a38e394c28))

### [2.0.4](https://www.github.com/googleapis/google-p12-pem/compare/v2.0.3...v2.0.4) (2020-01-06)


### Bug Fixes

* **deps:** pin TypeScript below 3.7.0 ([81dd96d](https://www.github.com/googleapis/google-p12-pem/commit/81dd96d4b43100824561f45b51f9126195b41d1d))

### [2.0.3](https://www.github.com/googleapis/google-p12-pem/compare/v2.0.2...v2.0.3) (2019-11-13)


### Bug Fixes

* **docs:** add jsdoc-region-tag plugin ([#206](https://www.github.com/googleapis/google-p12-pem/issues/206)) ([b34efde](https://www.github.com/googleapis/google-p12-pem/commit/b34efdebb853dd5129e15ec1ff11a75184fc32d7))

### [2.0.2](https://www.github.com/googleapis/google-p12-pem/compare/v2.0.1...v2.0.2) (2019-09-06)


### Bug Fixes

* **deps:** update dependency node-forge to ^0.9.0 ([#193](https://www.github.com/googleapis/google-p12-pem/issues/193)) ([ecac0f4](https://www.github.com/googleapis/google-p12-pem/commit/ecac0f4))
* **docs:** remove reference-docs anchor ([a6ad735](https://www.github.com/googleapis/google-p12-pem/commit/a6ad735))

### [2.0.1](https://www.github.com/googleapis/google-p12-pem/compare/v2.0.0...v2.0.1) (2019-06-26)


### Bug Fixes

* **docs:** link to reference docs section on googleapis.dev ([#184](https://www.github.com/googleapis/google-p12-pem/issues/184)) ([a08353b](https://www.github.com/googleapis/google-p12-pem/commit/a08353b))

## [2.0.0](https://www.github.com/google/google-p12-pem/compare/v1.0.4...v2.0.0) (2019-05-02)


### Build System

* upgrade engines field to >=8.10.0 ([#167](https://www.github.com/google/google-p12-pem/issues/167)) ([85da6e6](https://www.github.com/google/google-p12-pem/commit/85da6e6))


### BREAKING CHANGES

* upgrade engines field to >=8.10.0 (#167)

## v1.0.4

03-12-2019 12:25 PDT

This release includes a new shiny version of node-forge!

### Dependencies
- fix(deps): update dependency node-forge to ^0.8.0 ([#137](https://github.com/google/google-p12-pem/pull/137))

### Documentation
- docs: update links in contrib guide ([#145](https://github.com/google/google-p12-pem/pull/145))
- docs: move CONTRIBUTING.md to root ([#140](https://github.com/google/google-p12-pem/pull/140))
- docs: add lint/fix example to contributing guide ([#138](https://github.com/google/google-p12-pem/pull/138))

### Internal / Testing Changes
- build: Add docuploader credentials to node publish jobs ([#149](https://github.com/google/google-p12-pem/pull/149))
- build: update release config ([#147](https://github.com/google/google-p12-pem/pull/147))
- build: use node10 to run samples-test, system-test etc ([#148](https://github.com/google/google-p12-pem/pull/148))
- chore(deps): update dependency mocha to v6
- build: use linkinator for docs test ([#144](https://github.com/google/google-p12-pem/pull/144))
- build: create docs test npm scripts ([#143](https://github.com/google/google-p12-pem/pull/143))
- build: test using @grpc/grpc-js in CI ([#142](https://github.com/google/google-p12-pem/pull/142))
- chore(deps): update dependency eslint-config-prettier to v4 ([#135](https://github.com/google/google-p12-pem/pull/135))
- build: ignore googleapis.com in doc link check ([#134](https://github.com/google/google-p12-pem/pull/134))
- build: check dead links on Kokoro ([#132](https://github.com/google/google-p12-pem/pull/132))
- test: add system test, samples, and sample test ([#131](https://github.com/google/google-p12-pem/pull/131))
- chore(build): inject yoshi automation key ([#130](https://github.com/google/google-p12-pem/pull/130))
- chore: update nyc and eslint configs ([#129](https://github.com/google/google-p12-pem/pull/129))
- chore: fix publish.sh permission +x ([#127](https://github.com/google/google-p12-pem/pull/127))
- fix(build): fix Kokoro release script ([#126](https://github.com/google/google-p12-pem/pull/126))
- build: add Kokoro configs for autorelease ([#125](https://github.com/google/google-p12-pem/pull/125))

## v1.0.3

12-07-2018 09:50 PST

This is a service release very few updates.  The only interesting change is the removal of support for Node.js 4.x and 9.x, both of which are out of LTS support.

### Dependencies
- fix(deps): update dependency pify to v4 ([#62](https://github.com/google/google-p12-pem/pull/62))

### Documentation
- docs: clean up the readme ([#121](https://github.com/google/google-p12-pem/pull/121))

### Internal / Testing Changes
- chore: basic cleanup ([#122](https://github.com/google/google-p12-pem/pull/122))
- chore: always nyc report before calling codecov ([#120](https://github.com/google/google-p12-pem/pull/120))
- chore: nyc ignore build/test by default ([#119](https://github.com/google/google-p12-pem/pull/119))
- chore(build): update templates and synth ([#117](https://github.com/google/google-p12-pem/pull/117))
- fix(build): fix system key decryption ([#112](https://github.com/google/google-p12-pem/pull/112))
- chore(deps): update dependency typescript to ~3.2.0 ([#111](https://github.com/google/google-p12-pem/pull/111))
- chore: add synth.metadata
- chore(deps): update dependency gts to ^0.9.0 ([#106](https://github.com/google/google-p12-pem/pull/106))
- chore: update eslintignore config ([#105](https://github.com/google/google-p12-pem/pull/105))
- chore: use latest npm on Windows ([#104](https://github.com/google/google-p12-pem/pull/104))
- chore: update CircleCI config ([#103](https://github.com/google/google-p12-pem/pull/103))
- chore: include build in eslintignore ([#100](https://github.com/google/google-p12-pem/pull/100))
- chore: update issue templates ([#96](https://github.com/google/google-p12-pem/pull/96))
- chore: remove old issue template ([#94](https://github.com/google/google-p12-pem/pull/94))
- build: run tests on node11 ([#93](https://github.com/google/google-p12-pem/pull/93))
- chores(build): run codecov on continuous builds ([#88](https://github.com/google/google-p12-pem/pull/88))
- chores(build): do not collect sponge.xml from windows builds ([#90](https://github.com/google/google-p12-pem/pull/90))
- chore(deps): update dependency typescript to ~3.1.0 ([#89](https://github.com/google/google-p12-pem/pull/89))
- chore: update new issue template ([#87](https://github.com/google/google-p12-pem/pull/87))
- build: fix codecov uploading on Kokoro ([#84](https://github.com/google/google-p12-pem/pull/84))
- Update kokoro config ([#81](https://github.com/google/google-p12-pem/pull/81))
- Run system tests on Kokoro ([#78](https://github.com/google/google-p12-pem/pull/78))
- Don't publish sourcemaps ([#79](https://github.com/google/google-p12-pem/pull/79))
- test: remove appveyor config ([#77](https://github.com/google/google-p12-pem/pull/77))
- Update CI config ([#76](https://github.com/google/google-p12-pem/pull/76))
- Enable prefer-const in the eslint config ([#75](https://github.com/google/google-p12-pem/pull/75))
- Enable no-var in eslint ([#74](https://github.com/google/google-p12-pem/pull/74))
- Update CI config ([#73](https://github.com/google/google-p12-pem/pull/73))
- Retry npm install in CI ([#71](https://github.com/google/google-p12-pem/pull/71))
- Update CI config ([#69](https://github.com/google/google-p12-pem/pull/69))
- Update CI config ([#68](https://github.com/google/google-p12-pem/pull/68))
- Update github templates and CircleCI config ([#67](https://github.com/google/google-p12-pem/pull/67))
- chore(deps): update dependency nyc to v13 ([#65](https://github.com/google/google-p12-pem/pull/65))
- add synth file and standardize config ([#64](https://github.com/google/google-p12-pem/pull/64))
- chore: ignore package-log.json ([#61](https://github.com/google/google-p12-pem/pull/61))
- chore: update renovate config ([#59](https://github.com/google/google-p12-pem/pull/59))
- chore(deps): lock file maintenance ([#60](https://github.com/google/google-p12-pem/pull/60))
- chore: remove greenkeeper badge ([#58](https://github.com/google/google-p12-pem/pull/58))
- test: throw on deprecation
- chore: move mocha options to mocha.opts ([#54](https://github.com/google/google-p12-pem/pull/54))
- chore(deps): update dependency typescript to v3 ([#56](https://github.com/google/google-p12-pem/pull/56))
- chore(deps): lock file maintenance ([#55](https://github.com/google/google-p12-pem/pull/55))
- chore(deps): lock file maintenance ([#53](https://github.com/google/google-p12-pem/pull/53))
- chore(deps): update dependency gts to ^0.8.0 ([#49](https://github.com/google/google-p12-pem/pull/49))
- test: use strictEqual in tests ([#51](https://github.com/google/google-p12-pem/pull/51))
- chore(deps): update dependency typescript to ~2.9.0 ([#50](https://github.com/google/google-p12-pem/pull/50))
- chore: Configure Renovate ([#48](https://github.com/google/google-p12-pem/pull/48))
- fix: drop support for node.js 4.x and 9.x ([#46](https://github.com/google/google-p12-pem/pull/46))
- Add Code of Conduct
- chore(package): update gts to the latest version ([#45](https://github.com/google/google-p12-pem/pull/45))
- chore(package): update nyc to version 12.0.2 ([#42](https://github.com/google/google-p12-pem/pull/42))
- chore: upgrade to the latest version of all dependencies ([#39](https://github.com/google/google-p12-pem/pull/39))
- chore(build): run lint as a separate job ([#40](https://github.com/google/google-p12-pem/pull/40))
- fix: pin gts version with ^ ([#38](https://github.com/google/google-p12-pem/pull/38))
- chore(package): update @types/node to version 10.0.3 ([#34](https://github.com/google/google-p12-pem/pull/34))
- chore: start testing on node 10 ([#36](https://github.com/google/google-p12-pem/pull/36))
- chore(package): update @types/mocha to version 5.0.0 ([#33](https://github.com/google/google-p12-pem/pull/33))
